OS X Mavericks compatibility: will your Mac take it?

11th Jun 2013 | 09:00

OS X Mavericks compatibility: will your Mac take it?

Getting OS X 10.9 Mavericks on your existing Mac

Apple has announced OS X Mavericks, the next step for the Mac OS after Mountain Lion.

But will your current Mac take the update? The first thing to know is that you will definitely need to have OS X 10.6 Snow Leopard or later because you'll need to download it via the Mac App Store. You'll need 10.6.7 to be precise. That's actually less of a requirement than Mountain Lion, which needed OS X 10.6.8 to install.

The list of Macs that will install Mavericks is pretty much the same as those that were able to use OS X 10.8 Mountain Lion, so we're talking 64-bit Intel-based Macs.

Here's the full list of Macs and OS X Mavericks compatibility:

  • MacBook Pro - you'll need to have either a 13-inch from mid-2009, 15-inch from mid/late 2007 or 17-inch from late 2007 or later
  • MacBook - 13-inch 2008 from 2008 in aluminum, early 2009 or later
  • iMac - it needs to be mid 2007 or newer
  • MacBook Air - it needs to be ate 2008 or newer
  • Mac Mini - it needs to be early 2009 or newer
  • Mac Pro - it needs to be early 2008 or newer
  • Xserve - early 2009

Unfortunately those Macs that won't be able to upgrade are numerous, including all the plastic model MacBooks before 2008, pre mid 2007 MacBook Pros and Mac Mini/iMac and most notably the original MacBook Air. You know, the one that came out of that famous envelope.

In terms of graphics support this means anything with the ATI Radeon X1600 or an Intel GMA 950 or x3100 integrated graphics cards are dead meat.

Even the 2006 and 2007 versions of the Mac Pro won't be able to install OS X 10.9, just as they couldn't install OS X 10.8.

Obviously all these details are based on the OS X 10.9 Developer Preview and may change for the full release.

Mac Apple OS X Mavericks 10.9 computingcarousel-en-au computingcarousel-en-gb computingcarousel-en-us TRBC TRBCFeature
Share this Article
Google+

Most Popular

Edition: UK
TopView classic version